"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonPatch = void 0;
const JsonPatchDraft_1 = require("./JsonPatchDraft");
class JsonPatch {
    constructor(model) {
        this.model = model;
        this.draft = new JsonPatchDraft_1.JsonPatchDraft(this.model);
    }
    apply(ops) {
        this.draft.applyOps(ops);
        return this;
    }
    commit() {
        const patch = this.draft.draft.patch(this.model.clock);
        this.model.clock.tick(patch.span());
        this.model.applyPatch(patch);
        this.draft = new JsonPatchDraft_1.JsonPatchDraft(this.model);
        return patch;
    }
}
exports.JsonPatch = JsonPatch;
