"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EncoderStable = void 0;
const Encoder_1 = require("../Encoder");
class EncoderStable extends Encoder_1.Encoder {
    encodeObject(obj) {
        const keys = Object.keys(obj).sort((a, b) => (a > b ? 1 : -1));
        const length = keys.length;
        this.encodeObjectHeader(length);
        for (let i = 0; i < length; i++) {
            const key = keys[i];
            this.encodeString(key);
            this.encodeAny(obj[key]);
        }
    }
}
exports.EncoderStable = EncoderStable;
