import { JsonPatchDraft } from './JsonPatchDraft';
export class JsonPatch {
    model;
    draft;
    constructor(model) {
        this.model = model;
        this.draft = new JsonPatchDraft(this.model);
    }
    apply(ops) {
        this.draft.applyOps(ops);
        return this;
    }
    commit() {
        const patch = this.draft.draft.patch(this.model.clock);
        this.model.clock.tick(patch.span());
        this.model.applyPatch(patch);
        this.draft = new JsonPatchDraft(this.model);
        return patch;
    }
}
