"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonPatch = void 0;
var JsonPatchDraft_1 = require("./JsonPatchDraft");
var JsonPatch = (function () {
    function JsonPatch(model) {
        this.model = model;
        this.draft = new JsonPatchDraft_1.JsonPatchDraft(this.model);
    }
    JsonPatch.prototype.apply = function (ops) {
        this.draft.applyOps(ops);
        return this;
    };
    JsonPatch.prototype.commit = function () {
        var patch = this.draft.draft.patch(this.model.clock);
        this.model.clock.tick(patch.span());
        this.model.applyPatch(patch);
        this.draft = new JsonPatchDraft_1.JsonPatchDraft(this.model);
        return patch;
    };
    return JsonPatch;
}());
exports.JsonPatch = JsonPatch;
